import { render } from 'enzyme/build';
import React from 'react';
import MessageBox from './index';

describe('Shared/Components/MessageBox', () => {
    it('renders a success message', () => {
        const tree = render(<MessageBox type="success" text="text" />);
        expect(tree).toMatchSnapshot();
    });

    it('renders a warning message', () => {
        const tree = render(<MessageBox type="warning" text="text" />);
        expect(tree).toMatchSnapshot();
    });

    it('renders an error message', () => {
        const tree = render(<MessageBox type="error" text="text" />);
        expect(tree).toMatchSnapshot();
    });
});
